Bug 192043 - Review Request: ucblogo - An interpreter for the Logo programming language
Review Request: ucblogo - An interpreter for the Logo programming language
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-16 20:19 EDT by Gérard Milmeister
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-04 11:29:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2006-05-16 20:19:21 EDT
Spec URL: http://math.ifi.unizh.ch/fedora/spec/ucblogo.spec
SRPM URL: http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/ucblogo-5.5-2.fc5.src.rpm
Description:
Berkeley Logo (ucblogo) is an interpreter for the Logo programming
language. Logo is a computer programming language designed for use by
learners, including children. This dialect of Logo features
random-access arrays, variable number of inputs to user-defined
procedures, various error handling improvements, comments and
continuation lines, first-class instruction and expression templates,
and macros.
Comment 1 Jason Tibbitts 2006-06-02 12:32:10 EDT
The SRPM link seems wrong; I found
http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/ucblogo-5.5-2.src.rpm which I
hope is correct.

The build fails due tue to lack of /usr/bin/tex; I think this is part of the
texinfo-tex thing.  I changed to BR: texinfo-tex and things seem to build fine.
I'll proceed with the review assuming that change is made.

I wonder if it's a good idea to just drop a file into
/usr/share/emacs/site-lisp/site-start.d/ without owning that directory.  I
checked what other packages do and the examples I found seem to own it.  Most
also seem to drop the .el files into /usr/share/emacs/site-lisp instead of
keeping them with the package as ucblogo does, but I don't think this is a problem.

It looks like the documentation is about 25% of the installed size of the
package.  The whole package is only 4MB total so I don't think it warrants a
separate documentation subpackage.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   caf68577630645718492fd7d10fd4927  ucblogo-5.5.tar.gz
   caf68577630645718492fd7d10fd4927  ucblogo-5.5.tar.gz-srpm
* latest version is being packaged.
O BuildRequires are proper (after changing to texinfo-tex)
O package builds in mock (development, x86_64). (after fixing BR:s)
* rpmlint is silent.
* final provides and requires are sane:
   ucblogo = 5.5-2.fc6
  -
   /bin/sh
   /sbin/install-info
   libtermcap.so.2()(64bit)
* no shared libraries are present.
* package is not relocatable.
? owns the directories it creates (/usr/share/emacs/site-lisp/site-start.d?)
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present; no test suite upstream.
* scriptlets present are sane.
* code, not content.
* documentation is not so small, but not so large that it needs to be in a
separate package.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* info files are installed
* not a GUI app.
Comment 2 Gérard Milmeister 2006-06-02 16:38:12 EDT
(In reply to comment #1)
> The SRPM link seems wrong; I found
> http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/ucblogo-5.5-2.src.rpm which I
> hope is correct.
Yes, it is.

> The build fails due tue to lack of /usr/bin/tex; I think this is part of the
> texinfo-tex thing.  I changed to BR: texinfo-tex and things seem to build fine.
Would it be ok to BR: /usr/bin/tex? Then this doesn't have to change in
the spec-file between FC5 and FC6.
> 
> I wonder if it's a good idea to just drop a file into
> /usr/share/emacs/site-lisp/site-start.d/ without owning that directory.  I
> checked what other packages do and the examples I found seem to own it.
Ok.
>  Most
> also seem to drop the .el files into /usr/share/emacs/site-lisp instead of
> keeping them with the package as ucblogo does, but I don't think this is a
problem.
I can move them to site-lisp if you want.
Comment 3 Jason Tibbitts 2006-06-02 19:41:30 EDT
(In reply to comment #2)
> Would it be ok to BR: /usr/bin/tex? Then this doesn't have to change in
> the spec-file between FC5 and FC6.

The current texinfo package in FC4 and FC5 provides texinfo-tex, so there should
be no need for a separate spec for those releases.

> I can move them to site-lisp if you want.

I don't think it makes much difference either way, but if it's easy then it
would be more consistent to do it that way.
Comment 4 Gérard Milmeister 2006-06-03 06:08:37 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > Would it be ok to BR: /usr/bin/tex? Then this doesn't have to change in
> > the spec-file between FC5 and FC6.
> 
> The current texinfo package in FC4 and FC5 provides texinfo-tex, so there should
> be no need for a separate spec for those releases.
Ok.

> > I can move them to site-lisp if you want.
> 
> I don't think it makes much difference either way, but if it's easy then it
> would be more consistent to do it that way.
I leave it as it is.

http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/ucblogo-5.5-3.fc5.src.rpm
Comment 5 Jason Tibbitts 2006-06-03 14:38:39 EDT
Builds fine and looks good.

APPROVED
Comment 6 Gérard Milmeister 2006-06-04 11:29:56 EDT
Built on FC4, FC5 and FC6. Added entry to owners.list.
Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.